Package org.h2gis.functions.spatial.edit

## Class ST_FlipCoordinates

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_FlipCoordinates

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_FlipCoordinates
    extends org.h2gis.api.DeterministicScalarFunction

Flip the X and Y coordinates of the geometry

Author:
  Erwan Bocher

### Nested Class Summary

Nested Classes
`static class` `ST_FlipCoordinates.FlipCoordinateSequenceFilter` Returns a version of the given geometry with X and Y axis flipped.

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_FlipCoordinates()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `flipCoordinates​(org.locationtech.jts.geom.Geometry geom)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_FlipCoordinates

    public ST_FlipCoordinates()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### flipCoordinates

    public static org.locationtech.jts.geom.Geometry flipCoordinates​(org.locationtech.jts.geom.Geometry geom)